---
title: update-edge-config-items-in-batch
product: vercel
url: /docs/rest-api/edge-config/update-edge-config-items-in-batch
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about update-edge-config-items-in-batch on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Update Edge Config items in batch

```http
PATCH /v1/edge-config/{edgeConfigId}/items
```

Update multiple Edge Config Items in batch.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `edgeConfigId` | string. pattern: `^ecfg_` | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Request body

Required: No

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "items"
  ],
  "properties": {
    "items": {
      "type": "array",
      "items": {
        "oneOf": [
          {
            "type": "object",
            "properties": {
              "operation": {
                "enum": [
                  "create",
                  "update",
                  "upsert",
                  "delete"
                ]
              },
              "key": {
                "type": "string",
                "pattern": "^[\\\\w-]+$",
                "maxLength": 256
              },
              "value": {
                "nullable": true
              },
              "description": {
                "nullable": true,
                "oneOf": [
                  {
                    "type": "string",
                    "maxLength": 512
                  },
                  {}
                ]
              }
            },
            "anyOf": [
              {
                "required": [
                  "operation",
                  "key",
                  "value"
                ],
                "properties": {
                  "operation": {
                    "type": "string",
                    "enum": [
                      "create"
                    ]
                  }
                }
              },
              {
                "required": [
                  "operation",
                  "key",
                  "value"
                ],
                "properties": {
                  "operation": {
                    "enum": [
                      "update",
                      "upsert"
                    ]
                  }
                }
              },
              {
                "required": [
                  "operation",
                  "key",
                  "description"
                ],
                "properties": {
                  "operation": {
                    "enum": [
                      "update",
                      "upsert"
                    ]
                  }
                }
              }
            ]
          }
        ]
      }
    }
  }
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "status"
  ],
  "properties": {
    "status": {
      "type": "string"
    }
  }
}
```

### 400: One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 402: The account was soft-blocked for an unhandled reason.
The account is missing a payment so payment method must be updated

### 403: You do not have permission to access this resource.

### 404: No description

### 409: No description

### 412: No description

---

## Related

- [edge-config endpoints](/docs/rest-api#edge-config)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
